package com.ruoyi.project.project.item.service;

import com.ruoyi.common.utils.text.Convert;
import com.ruoyi.project.project.item.domain.Item;
import com.ruoyi.project.project.item.mapper.ItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 物品 服务层实现
 * 
 * @author luoluo
 */
@Service
public class ItemServiceImpl implements IItemService
{
    @Autowired
    private ItemMapper itemMapper;

    /**
     * 查询物品信息
     * 
     * @param id 物品ID
     * @return 物品信息
     */
    @Override
    public Item selectItemById(Integer id)
    {
        return itemMapper.selectItemById(id);
    }

    /**
     * 查询物品列表
     * 
     * @param Items 物品信息
     * @return 物品集合
     */
    @Override
    public List<Item> selectItemList(Item Items)
    {
        return itemMapper.selectItemList(Items);
    }

    @Override
    public List<Item> selectItemByCaseNo(String caseNo) {
        return itemMapper.selectItemByCaseNo(caseNo);
    }

    /**
     * 新增物品
     * 
     * @param Items 物品信息
     * @return 结果
     */
    @Override
    public int insertItem(Item Items)
    {
        //Items.setCreateBy(ShiroUtils.getLoginName());
        return itemMapper.insertItem(Items);
    }

    /**
     * 修改物品
     * 
     * @param Items 物品信息
     * @return 结果
     */
    @Override
    public int updateItem(Item Items)
    {
        //Items.setUpdateBy(ShiroUtils.getLoginName());
        return itemMapper.updateItem(Items);
    }

    /**
     * 删除物品对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteItemByIds(String ids)
    {
        return itemMapper.deleteItemByIds(Convert.toStrArray(ids));
    }

    @Override
    public int selectItemByCaseId(String id) {
        return itemMapper.selectItemByCaseId(id);
    }

    @Override
    public int selectItemByItemNo(Item item) {
        return itemMapper.selectItemByItemNo(item);
    }
}
